Bug 667024 (CVE-2010-3813) - CVE-2010-3813 webkit: HTMLLinkElement ignores dnsPrefetchingEnabled setting
Summary: CVE-2010-3813 webkit: HTMLLinkElement ignores dnsPrefetchingEnabled setting
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2010-3813
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 640385 640386 667027
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-01-04 05:38 UTC by Huzaifa S. Sidhpurwala
Modified: 2019-09-29 12:42 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-03-07 07:04:49 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0177 normal SHIPPED_LIVE Moderate: webkitgtk security update 2011-01-25 17:07:15 UTC

Description Huzaifa S. Sidhpurwala 2011-01-04 05:38:17 UTC
Common Vulnerabilities and Exposures assigned an identifier CVE-2010-3813 to
the following vulnerability:

Name: CVE-2010-3813
Status: Candidate
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2010-3813
Assigned: 20101007
Reference: CONFIRM:http://support.apple.com/kb/HT4455
Reference: CONFIRM:http://support.apple.com/kb/HT4456 

WebKit in Apple Safari before 5.0.3 on Mac OS X 10.5 through 10.6 
and Windows, and before 4.1.3 on Mac OS X 10.4, allows remote 
attackers to bypass the DNS prefetching setting via an HTML LINK 
element, as demonstrated by an HTML e-mail message that uses a 
LINK element for X-Confirm-Reading-To functionality. 

Upstream:
Bugzilla: https://bugs.webkit.org/show_bug.cgi?id=42500
Trac: http://trac.webkit.org/changeset/63622

This is fixed in webkitgtk 1.2.6

Comment 1 Huzaifa S. Sidhpurwala 2011-01-04 05:54:51 UTC
Created webkitgtk tracking bugs for this issue

Affects: fedora-13 [bug 667027]

Comment 2 errata-xmlrpc 2011-01-25 17:08:00 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:0177 https://rhn.redhat.com/errata/RHSA-2011-0177.html


Note You need to log in before you can comment on or make changes to this bug.